Aufzeichnungen!

Moderator: Einführung in die Kryptographie

fischlin
Moderator
Moderator
Beiträge: 54
Registriert: 11. Mai 2006 17:14

Aufzeichnungen!

Beitrag von fischlin » 7. Nov 2011 09:27

Hallo,

Ich habe gerade die Aufzeichnungen online gestellt und über die Homepage verlinkt. Damit sind
sie ab sofort über das HRZ-Verzeichnis verfügbar und -wenn das CMS seine nächste Freigabe-Runde
in ein paar Stunden schaltet- auch dirket verlinkt.

Nochmal Entschuldigung wegen der Verzögerung, aber hier haben alle Glieder der Kette, inklusive mir,
zur Verzögerung beigetragen, so dass das etwas länger gedauert hat.

mf

h_tercan
Mausschubser
Mausschubser
Beiträge: 48
Registriert: 4. Okt 2007 13:04
Wohnort: Frankfurt

Re: Aufzeichnungen!

Beitrag von h_tercan » 8. Nov 2011 13:29

Vielen Dank :D

DanielSchoepe
Mausschubser
Mausschubser
Beiträge: 49
Registriert: 28. Sep 2009 11:39

Re: Aufzeichnungen!

Beitrag von DanielSchoepe » 10. Nov 2011 18:17

Da die Aufzeichnungen des Anschriebs leider keinen Ton zu enthalten scheinen, finde ich folgendes Skript, das die Tonspur aus dem _PIP.mp4-Video in das Video mit dem Anschrieb kopiert, als Abhilfe sinnvoll; vielleicht kann das außer mir ja noch jemand gebrauchen:

Code: Alles auswählen

#!/bin/zsh

scriptname="$0"

function usage {
    echo "USAGE: $scriptname FILE_WITHOUT_PIP.mp4" 1>&2
}

function die {
    echo "$1" 1>&2
    usage
    exit 1
}

file=$1
base=${file%.*}
withaudio="${base}_PIP.mp4"
audiofile="${base}_audio.aac"
resultfile="${base}_fixed.mp4"

if [[ ! -f "$file" ]]; then
    die "$file doesn't exist"
fi

if [[ ! -f "$withaudio" ]]; then
    die "File with audio doesn't exist: $withaudio"
fi

if [[ -f "$audiofile" ]]; then
    die "$audiofile already exists"
fi

ffmpeg -i "$withaudio" -acodec copy -vn "$audiofile" || die "Failed to extract audio"
ffmpeg -i "$file" -i "$audiofile" -map 0:0 -map 1:0 -vcodec copy -acodec libaacplus "$resultfile" ||\
die "Failed to copy audio stream to new file"
clear
rm "$audiofile"
rm -i "$file"
rm -i "$withaudio"
(Achtung, wenn man die letzten beiden Sachen bestätigt, werden die ursprünglichen Videos gelöscht). Leider sind die Aufzeichnungen nicht gleich lang, daher kann es sein, dass Ton und Video so nicht komplett synchronisiert sind, aber das lässt sich ja mit z.B. mplayer auch während dem Anschauen entsprechend korrigieren (bei der ersten Vorlesung scheint das ohnehin ungefähr zu passen).

PS: Vielen Dank für die Mühe, überhaupt Aufzeichnungen anzubieten.

fischlin
Moderator
Moderator
Beiträge: 54
Registriert: 11. Mai 2006 17:14

Re: Aufzeichnungen!

Beitrag von fischlin » 16. Nov 2011 10:58

Ha, interessant. Danke für die einfache Lösung.

mf

Antworten

Zurück zu „Einführung in die Kryptographie“